<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="./">
<head>
  <meta charset="utf-8" /><meta name="viewport" content="width=device-width, initial-scale=1" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>3. Flying &mdash; Spade 1.0 documentation</title>
      <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=80d5e7a1" />
      <link rel="stylesheet" type="text/css" href="_static/css/theme.css?v=19f00094" />
      <link rel="stylesheet" type="text/css" href="_static/copybutton.css?v=76b2166b" />
      <link rel="stylesheet" type="text/css" href="_static/tabs.css?v=a5c4661c" />

  
    <link rel="shortcut icon" href="_static/Spade_icon_2.ico"/>
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js?v=5d32c60e"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="_static/documentation_options.js?v=f2a433a1"></script>
        <script src="_static/doctools.js?v=9a2dae69"></script>
        <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
        <script src="_static/clipboard.min.js?v=a7894cd8"></script>
        <script src="_static/copybutton.js?v=f281be69"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="4. Interacting with the Raspberry Pi" href="RaspberryPi.html" />
    <link rel="prev" title="2. Charging the battery" href="Battery.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            Spade
              <img src="_static/Spade_icon_2.png" class="logo" alt="Logo"/>
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="Hardware.html">1. Hardware components</a></li>
<li class="toctree-l1"><a class="reference internal" href="Battery.html">2. Charging the battery</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">3. Flying</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#requirements">3.1. Requirements</a></li>
<li class="toctree-l2"><a class="reference internal" href="#connecting-to-the-drone">3.2. Connecting to the drone</a></li>
<li class="toctree-l2"><a class="reference internal" href="#setting-up-the-drone">3.3. Setting up the drone</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#firmware">3.3.1. Firmware</a></li>
<li class="toctree-l3"><a class="reference internal" href="#airframe">3.3.2. Airframe</a></li>
<li class="toctree-l3"><a class="reference internal" href="#sensors">3.3.3. Sensors</a></li>
<li class="toctree-l3"><a class="reference internal" href="#radio">3.3.4. Radio</a></li>
<li class="toctree-l3"><a class="reference internal" href="#flight-modes">3.3.5. Flight Modes</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#setting-up-the-rc">3.4. Setting up the RC</a></li>
<li class="toctree-l2"><a class="reference internal" href="#id1">3.5. Flying</a></li>
<li class="toctree-l2"><a class="reference internal" href="#next-steps">3.6. Next steps</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="RaspberryPi.html">4. Interacting with the Raspberry Pi</a></li>
<li class="toctree-l1"><a class="reference internal" href="Simulation.html">5. ROS2 node in simulation and reality</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Spade</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active"><span class="section-number">3. </span>Flying</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/Flying.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <div class="toctree-wrapper compound">
</div>
<section id="flying">
<h1><span class="section-number">3. </span>Flying<a class="headerlink" href="#flying" title="Link to this heading"></a></h1>
<section id="requirements">
<h2><span class="section-number">3.1. </span>Requirements<a class="headerlink" href="#requirements" title="Link to this heading"></a></h2>
<ul class="simple">
<li><p>Completed previous tutorials</p></li>
<li><p>Installed QGroundControl</p></li>
<li><p>Remote controller (RC)</p></li>
</ul>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>QGroundControl can be downloaded from <a class="reference external" href="https://docs.qgroundcontrol.com/en/getting_started/download_and_install.html">here</a> .</p>
</div>
</section>
<section id="connecting-to-the-drone">
<h2><span class="section-number">3.2. </span>Connecting to the drone<a class="headerlink" href="#connecting-to-the-drone" title="Link to this heading"></a></h2>
<a class="reference internal image-reference" href="_images/Disconnected_Not_Ready.png"><img alt="_images/Disconnected_Not_Ready.png" class="align-center" src="_images/Disconnected_Not_Ready.png" style="width: 100%;" /></a>
<p>To connect to the drone, you need to plug the telemetry module into your computer’s USB port. Connect your drone to your battery and open QGroundControl. Once QGroundControl has connected to your drone it should change from disconnected to Not Ready in the top left corner.</p>
</section>
<section id="setting-up-the-drone">
<h2><span class="section-number">3.3. </span>Setting up the drone<a class="headerlink" href="#setting-up-the-drone" title="Link to this heading"></a></h2>
<p>When opening QGroundControl you will be met by a summary page. On this summary page, you can see all of the things you should configure before taking off. Red circles indicate that you have not yet set this up, and green circles indicate tabs that are configured. Enter the tabs with red circles and follow the guides to set up your drone. However, the calibration tab should be done every time.</p>
<p>The different tabs will now be covered.</p>
<section id="firmware">
<h3><span class="section-number">3.3.1. </span>Firmware<a class="headerlink" href="#firmware" title="Link to this heading"></a></h3>
<p>The firmware tab is where you update the firmware of your drone. Connect your drone to your PC with a USB cable. When you enter the firmware tab. You will be met by a tab, that looks like this.</p>
<a class="reference internal image-reference" href="_images/firmware.png"><img alt="_images/firmware.png" class="align-center" src="_images/firmware.png" style="width: 30%;" /></a>
<p>Here we recommend choosing PX4 since this tutorial is based upon PX4.</p>
</section>
<section id="airframe">
<h3><span class="section-number">3.3.2. </span>Airframe<a class="headerlink" href="#airframe" title="Link to this heading"></a></h3>
<p>The airframe tab is where you choose the type of drone you are using. This is important since it will affect how the drone flies. The drone that Spade provides is a quadcopter, specifically a HolyBro QAV250.</p>
<a class="reference internal image-reference" href="_images/Airframe.png"><img alt="_images/Airframe.png" class="align-center" src="_images/Airframe.png" style="width: 30%;" /></a>
</section>
<section id="sensors">
<h3><span class="section-number">3.3.3. </span>Sensors<a class="headerlink" href="#sensors" title="Link to this heading"></a></h3>
<p>The next tab is the sensor tab. Here you can calibrate all of the different sensors on the drone. Just follow the guides on the screen for each of the sensors.</p>
</section>
<section id="radio">
<h3><span class="section-number">3.3.4. </span>Radio<a class="headerlink" href="#radio" title="Link to this heading"></a></h3>
<p>The radio tab is where you calibrate your remote controller. This is important since it will affect how the drone flies. Follow the guides on the screen to calibrate your remote controller. After this notice how each of the buttons on the remote controller affects the different channels.</p>
</section>
<section id="flight-modes">
<h3><span class="section-number">3.3.5. </span>Flight Modes<a class="headerlink" href="#flight-modes" title="Link to this heading"></a></h3>
<div class="line-block">
<div class="line">The flight modes tab is where you set up the different flight modes, that you want to use. To read more about flight modes refer to this <a class="reference external" href="https://docs.px4.io/main/en/getting_started/flight_modes.html">link</a>. You can also set up an emergency kill switch, that will shut down the drone if you lose control of it.</div>
<div class="line">We recommend that you set the channels up with the following setup if you are a beginner:</div>
</div>
<div class="line-block">
<div class="line">Channel 5: Flight mode</div>
<div class="line">Channel 6: Kill switch</div>
<div class="line">Channel 7: Arm</div>
<div class="line">Channel 8: Not used</div>
</div>
<div class="line-block">
<div class="line">When using one switch for flight modes, it will only choose between flight modes 1, 4 and 6. We recommend that you set up the flight modes as follows:</div>
</div>
<div class="line-block">
<div class="line">1: Position</div>
<div class="line">4: Return</div>
<div class="line">6: Offboard</div>
</div>
<p>The position flight mode is an easy-to-use GPS-based flight mode, where the drone is controlled by the remote controller. The return flight mode will make the drone fly back to its launch position. The Offboard flight mode will enable the onboard computer to send commands to your flight controller. By using this flight mode, you can for example let the drone autonomously fly around and react to sensor inputs.</p>
</section>
</section>
<section id="setting-up-the-rc">
<h2><span class="section-number">3.4. </span>Setting up the RC<a class="headerlink" href="#setting-up-the-rc" title="Link to this heading"></a></h2>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>This assumes that you are using the Turnigy Evolution remote controller. If you are using a different remote controller, you should refer to the manual for that remote controller. However, the steps will most likely resemble each other.</p>
</div>
<p>To set up the RC turn it on and enter settings, by touching the tools icon on the main screen. You can then navigate to the AUX. channels tab. Here you can choose how to assign the two switches on the back and the button on the front. By default, the two switches work to create 9 flight modes by combining the three positions of each switch. By decoupling one of the switches, and reducing your drone to only using 3 flight modes, you can use the other switch to create an emergency kill switch.
If you want to decouple the switches from choosing flight mode. You can do so from the start screen by pressing the fly mode field. This will allow you to assign the switches to other functions.
We recommend that you assign the auxiliary channels as follows:</p>
<div class="line-block">
<div class="line">Channel 5: Sw A</div>
<div class="line">Channel 6: Sw B</div>
<div class="line">Channel 7: Key 1</div>
<div class="line">Channel 8: None</div>
</div>
</section>
<section id="id1">
<h2><span class="section-number">3.5. </span>Flying<a class="headerlink" href="#id1" title="Link to this heading"></a></h2>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p>When flying drones it is important to be aware of two things. Batteries and propellers. If the batteries are damaged and have bumps or dents, please do not try to use them, as they can burst into flames. In relation to the propellers, always be careful when handling the drone, since moving propellers can cause serious damage. To gain the appropriate caution it can be recommended to search for drone propeller accidents or watch this <a class="reference external" href="https://www.youtube.com/watch?v=QQoTQZcwZWE&amp;ab_channel=DroneImpact-AalborgUniversity">link</a>.</p>
</div>
<p>Before flying you should make sure that everything on the drone is fastened so that it will not interfere with the propellers. After this go outside and arm your drone. Try to let the drone lift a few feet off the ground. Then test that the kill switch properly shuts it down.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>If one propeller is moving in the wrong direction for take off. You need to switch two of the wires on the ESC, that are connected to the motor. This will make the motor spin in the opposite direction.</p>
</div>
</section>
<section id="next-steps">
<h2><span class="section-number">3.6. </span>Next steps<a class="headerlink" href="#next-steps" title="Link to this heading"></a></h2>
<p>Now that we have the drone is flying and operatable with the RC. Let’s move on to interacting with the Raspberry Pi on the drone so that you can start implementing your own programs.</p>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="Battery.html" class="btn btn-neutral float-left" title="2. Charging the battery" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="RaspberryPi.html" class="btn btn-neutral float-right" title="4. Interacting with the Raspberry Pi" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2024, Markus Simonsen.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>